dpkg-trigger(1)

NOM
dpkg-trigger - un utilitaire pour activer les actions différées de paquets

SYNOPSIS
dpkg-trigger [option...] nom-action-différée
dpkg-trigger [option...] commande

DESCRIPTION
dpkg-trigger est un outil pour activer explicitement les actions différées et pour vérifier leur gestion dans le fonctionnement de dpkg.

Utilisable par les scripts du responsable dans certaines situations complexes où un fichier d'actions différées (« triggers ») ou la directive activate du fichier de contrôle des actions différées ne sont pas suffisants. Peut également être utilisé pour des essais ou par les administrateurs système (noter que les actions différées ne seront alors pas exécutées par dpkg-trigger).

Les syntaxes non-reconnues pour le nom des actions différées constituent une erreur pour dpkg-trigger.

COMMANDES

--check-supported
    Vérifie si dpkg sait gérer les actions différées (généralement appelées depuis un script de post-installation). Retourne en sortie 0 si c'est le cas, ou 1 avec un message d'erreur sur stderr si ce n'est pas le cas. Toutefois, en règle générale, il est préférable de simplement activer l'action différée désirée à l'aide de dpkg-trigger.

-?, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

OPTIONS

--admindir=dir
    Change l'endroit où se trouve la base de données de dpkg. Par défaut, c'est /var/lib/dpkg.

--by-package=paquet
    Indique le paquet qui sera marqué en attente de l'exécution de l'action différée (normalement défini par la variable d'environnement DPKG_MAINTSCRIPT_PACKAGE dans les scripts du responsable, qui nomme le paquet auquel le script appartient, et qui constitue la valeur par défaut).

--no-await
    Cette option fait en sorte que le paquet appelant T (s'il existe) n'a pas besoin d'attendre l'exécution de cette action différée ; I, le(s) paquet(s) associé(s) à l'action différée, ne sera pas ajouté à liste des paquets dont le traitement des actions différées est attendu par T et l'état de T reste inchangé. T peut être considéré installé même si les actions différées de I n'ont pas encore été exécutées.

--await
    This option does the inverse of --no-await (since dpkg 1.17.21). It is currently the default behavior.

--no-act
    Teste uniquement, n'apporte aucun changement.

CODE DE SORTIE

0   The requested action was successfully performed. Or a check or assertion command returned true.

1   A check or assertion command returned false.

2   Fatal or unrecoverable error due to invalid command-line usage, or interactions with the system, such as accesses to the database, memory allocations, etc.

ENVIRONNEMENT

DPKG_ADMINDIR
    Si cette variable est positionnée et que l'option --admindir n'est pas précisée, ce répertoire sera utilisé comme répertoire de données pour dpkg.

VOIR AUSSI
dpkg(1), deb-triggers(5), /usr/share/doc/dpkg-dev/triggers.txt.gz.

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.